## org.apache.lucene.xmlparser.builders
Class TermQueryBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.TermQueryBuilder

All Implemented Interfaces:
  QueryBuilder

    public class TermQueryBuilder

extends Object
implements QueryBuilder

Constructor Summary
`TermQueryBuilder()`

Method Summary
`Query` `getQuery(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermQueryBuilder

    public TermQueryBuilder()

Method Detail

### getQuery

    public Query getQuery(Element e)
                   throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`